/*\
 * alien.h - the alien struct and related code
 * asteroid.exe: a version of Asteroids by Charles Lindsay
 * Copyright (C) 2003, 2005 Charles Lindsay
 *
 * Asteroids is originally copyright (C) 1979 Atari, Inc.
 *
 * This version of Asteroids is released under the GNU GPL and as
 * such, comes with absolutely no warranty of any kind, whatsoever.
 * See asteroid-license.txt for more information.
 *
 * webpage: http://chaoslizard.sourceforge.net/asteroid/
 * contact: chaoslizard@gamebox.net
 *
 * date        author   comments
 * ----        ------   --------
 * 2003-11-18  Charles  added regions (for clipping) and alien stuff
 * 2003-12-08  Charles  changed objects to linked lists for memory efficiency
 * 2003-12-09  Charles  moved from game_objs.h into its own file
 *
\*/


#ifndef __ALIEN_H__
#define __ALIEN_H__


//an alien ship
typedef struct _ALIEN
{
   VECTOR2      pos;           //position
   VECTOR2      vel;           //velocity

   float        scale;         //scale of alien (big or small)

   unsigned int time_to_shoot; //how many frames are left until we can shoot again

   float        anim_rot;      //current rotation

   unsigned int region;        //which region it's in (for efficient clipping)
   POLY         clip_poly/*s[3]*/; //clipping polygon

} ALIEN;


void FillAlienModel(void); //fills the alien model

void SpawnAlien(ALIEN *, int);                           //spawns a new alien
void UpdateAlien(ALIEN *, const PLAYER *, const LIST *); //updates the alien
void DrawAlien(ALIEN *);                                 //draws the alien


#endif
