/*\
 * burst.h - struct for bursts of text in-game
 * asteroid.exe: a version of Asteroids by Charles Lindsay
 * Copyright (C) 2003, 2005 Charles Lindsay
 *
 * Asteroids is originally copyright (C) 1979 Atari, Inc.
 *
 * This version of Asteroids is released under the GNU GPL and as
 * such, comes with absolutely no warranty of any kind, whatsoever.
 * See asteroid-license.txt for more information.
 *
 * webpage: http://chaoslizard.sourceforge.net/asteroid/
 * contact: chaoslizard@gamebox.net
 *
 * date        author   comments
 * ----        ------   --------
 * 2003-12-09  Charles  initial implementation
 * 2003-12-20  Charles  removed varargs from spawnburst
 *
\*/


#ifndef __BURST_H__
#define __BURST_H__


#define BURST_TEXT_SIZE 128 //how many characters buffer holds

//a burst of text on the screen
typedef struct _BURST
{
   char         text[BURST_TEXT_SIZE];
   unsigned int text_len;
   VECTOR2      pos;

   unsigned int life;

} BURST;


void SpawnBurst(BURST *, const VECTOR2 *, const char *); //spawns a text burst
void UpdateBurst(BURST *);                               //updates the burst
void DrawBurst(BURST *);                                 //draws the burst


#endif
