/*\
 * explosion.h - the explosion struct and related code
 * asteroid.exe: a version of Asteroids by Charles Lindsay
 * Copyright (C) 2003, 2005 Charles Lindsay
 *
 * Asteroids is originally copyright (C) 1979 Atari, Inc.
 *
 * This version of Asteroids is released under the GNU GPL and as
 * such, comes with absolutely no warranty of any kind, whatsoever.
 * See asteroid-license.txt for more information.
 *
 * webpage: http://chaoslizard.sourceforge.net/asteroid/
 * contact: chaoslizard@gamebox.net
 *
 * date        author   comments
 * ----        ------   --------
 * 2003-12-08  Charles  changed objects to linked lists for memory efficiency
 * 2003-12-09  Charles  moved from game_objs.h into its own file
 *
\*/


#ifndef __EXPLOSION_H__
#define __EXPLOSION_H__


#define NUM_EXPLOSION_PARTICLES 32
typedef struct _EXPLOSION
{
   VECTOR2      pos[NUM_EXPLOSION_PARTICLES];       //position of each particle
   VECTOR2      vel[NUM_EXPLOSION_PARTICLES];       //velocity of each particle
   unsigned int fade_time[NUM_EXPLOSION_PARTICLES]; //each one fades at a different rate

   unsigned int life;

} EXPLOSION;


void SpawnExplosion(EXPLOSION *, const VECTOR2 *, int); //spawns a new explosion
void UpdateExplosion(EXPLOSION *);                      //updates it
void DrawExplosion(EXPLOSION *);                        //draws it


#endif
