/*\
 * geometry.h - functions that deal with specific geometry (e.g., the asteroid model geometry)
 * asteroid.exe: a version of Asteroids by Charles Lindsay
 * Copyright (C) 2003, 2005 Charles Lindsay
 *
 * Asteroids is originally copyright (C) 1979 Atari, Inc.
 *
 * This version of Asteroids is released under the GNU GPL and as
 * such, comes with absolutely no warranty of any kind, whatsoever.
 * See asteroid-license.txt for more information.
 *
 * webpage: http://chaoslizard.sourceforge.net/asteroid/
 * contact: chaoslizard@gamebox.net
 *
 * date        author   comments
 * ----        ------   --------
 * 2003-09-11  Charles  initial implementation
 * 2003-09-12  Charles  added alien ship
 * 2003-12-02  Charles  changed the way models were returned
 * 2005-03-09  Charles  added texture param to MakeAsteroid
 *
\*/


#ifndef __GEOMETRY_H__
#define __GEOMETRY_H__


void InitGeometry(void);      //sets up geometry before any rendering takes place
MODEL MakeAsteroid(TEXTURE);  //creates an asteroid model
MODEL MakePlayerShip(void);   //creates a player ship model
MODEL MakeAlienShip(void);    //creates an alien ship model


#endif
