/*\
 * intersect.h - defines models for clipping
 * asteroid.exe: a version of Asteroids by Charles Lindsay
 * Copyright (C) 2003, 2005 Charles Lindsay
 *
 * Asteroids is originally copyright (C) 1979 Atari, Inc.
 *
 * This version of Asteroids is released under the GNU GPL and as
 * such, comes with absolutely no warranty of any kind, whatsoever.
 * See asteroid-license.txt for more information.
 *
 * webpage: http://chaoslizard.sourceforge.net/asteroid/
 * contact: chaoslizard@gamebox.net
 *
 * date        author   comments
 * ----        ------   --------
 * 2003-10-22  Charles  initial implementation
 * 2003-11-03  Charles  slight tweaking
 *
\*/


#ifndef __INTERSECT_H__
#define __INTERSECT_H__


typedef VECTOR2 POINT2;

typedef struct _LINE
{
   POINT2 a, b;

} LINE;

typedef struct _CIRCLE
{
   POINT2 center;
   float radius;

} CIRCLE;

typedef struct _POLY
{
   POINT2 p[3];

} POLY;


int PointInCircle(const POINT2 *, const CIRCLE *); //whether the point is in the circle
int PointInPoly(const POINT2 *, const POLY *);     //whether the point is in the poly
int PolyInCircle(const POLY *, const CIRCLE *);    //whether the poly intersects the circle
int PolyInPoly(const POLY *, const POLY *);        //whether the poly intersects the poly

void SetPoly(POLY *, float, float, float, float, float, float, const VECTOR2 *, float); //sets a polygon from the model's position, plus a rotation


#endif
