/*\
 * powerup.h - powerups in the game
 * asteroid.exe: a version of Asteroids by Charles Lindsay
 * Copyright (C) 2003, 2005 Charles Lindsay
 *
 * Asteroids is originally copyright (C) 1979 Atari, Inc.
 *
 * This version of Asteroids is released under the GNU GPL and as
 * such, comes with absolutely no warranty of any kind, whatsoever.
 * See asteroid-license.txt for more information.
 *
 * webpage: http://chaoslizard.sourceforge.net/asteroid/
 * contact: chaoslizard@gamebox.net
 *
 * date        author   comments
 * ----        ------   --------
 * 2003-12-12  Charles  initial implementation
 * 2003-12-20  Charles  more powerups
 * 2003-12-21  Charles  rapid fire powerup
 *
\*/


#ifndef __POWERUP_H__
#define __POWERUP_H__


#define POW_TYPE_1UP       0
#define POW_TYPE_HITALL    1
#define POW_TYPE_SHIELD    2
#define POW_TYPE_RAPIDFIRE 3
#define NUM_POWERUPS       4


//a powerup that the player can collect
typedef struct _POWERUP
{
   VECTOR2      pos;         //position
   VECTOR2      vel;         //velocity

   unsigned int type;        //type of powerup it is

   float        anim_rot;    //rotation for animation
   VECTOR3      rot_axis;    //rotation axis

   unsigned int region;      //which region it's in (for efficient clipping)
   CIRCLE       clip_circle; //clipping circle

} POWERUP;


void SpawnPowerup(POWERUP *);  //spawns a new powerup
void UpdatePowerup(POWERUP *); //updates it
void DrawPowerup(POWERUP *);   //draws it


#endif
