/*\
 * starfield.h - a struct for holding the starfield parameters
 * asteroid.exe: a version of Asteroids by Charles Lindsay
 * Copyright (C) 2003, 2005 Charles Lindsay
 *
 * Asteroids is originally copyright (C) 1979 Atari, Inc.
 *
 * This version of Asteroids is released under the GNU GPL and as
 * such, comes with absolutely no warranty of any kind, whatsoever.
 * See asteroid-license.txt for more information.
 *
 * webpage: http://chaoslizard.sourceforge.net/asteroid/
 * contact: chaoslizard@gamebox.net
 *
 * date        author   comments
 * ----        ------   --------
 * 2003-12-12  Charles  initial implementation
 *
\*/


#ifndef __STARFIELD_H__
#define __STARFIELD_H__


#define NUM_STARS 1024 //how many stars the field has

//a field of stars, to reiterate the obvious
typedef struct _STARFIELD
{
   VECTOR2 stars[NUM_STARS]; //an array of star positions
   float   alpha[NUM_STARS]; //each one's alpha component

   float   rot;              //how far it's twisted

} STARFIELD;


void InitStarfield(STARFIELD *);   //fills the starfield with data
void UpdateStarfield(STARFIELD *); //updates the burst
void DrawStarfield(STARFIELD *);   //draws the burst


#endif
